petsc-3.4.2 2013-07-02

# MatGetOwnershipRangeColumn

Returns the range of matrix columns associated with rows of a vector one multiplies by that owned by this processor. (The columns of the "diagonal block")

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatGetOwnershipRangeColumn(Mat mat,PetscInt *m,PetscInt *n)

Not Collective, unless matrix has not been allocated, then collective on Mat

### Input Parameters

mat -the matrix

### Output Parameters

| m | - the global index of the first local column
| n | - one more than the global index of the last local column

Notes: both output parameters can be NULL on input.

### See Also

MatGetOwnershipRange(), MatGetOwnershipRanges(), MatGetOwnershipRangesColumn()

Level:developer
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/mat/examples/tutorials/ex10.c.html
src/snes/examples/tutorials/ex48.c.html